/* Warto wiedzieć */

.hero-img.good-to-know-img {
  block-size: 300px;
}

.good-to-know-wrapper {
  background-image:
    linear-gradient(45deg, transparent 49%, #e5e7eb 49%, #e5e7eb 51%, transparent 51%),
    linear-gradient(-45deg, transparent 49%, #e5e7eb 49%, #e5e7eb 51%, transparent 51%);
  background-size: 40px 40px;
}

.good-to-know-post {
    block-size: fit-content;
    margin-block: 1rem;
    padding: 1rem;
    background-color: white;
}

.good-to-know-post img {
  border-radius: 5px;
}

.layout-blog {
    display: grid;
    grid-template-columns: 1fr 300px;
    gap: 2rem;
    align-items: start;
}

/* POSTS COLUMN */
.posts-column {
    grid-column: 1;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

/* SIDEBAR DESKTOP */
.sidebar-archive {
    grid-column: 2;
    grid-row: 1;
    position: sticky;
    top: 2rem;
    margin-block-start: 1rem;
    padding: 1rem;
    min-block-size: 300px;
    block-size: fit-content;
    background-color: white;
}

.sidebar-archive h3 {
    margin-block-start: 0;
    margin-block-end: 1rem;
}

.sidebar-archive ul {
    margin: 0;
    padding-inline-start: 1rem;
}

.good-to-know-post {
    grid-column: 1;
}

nav.breadcrumbs {
 justify-content: flex-start;
 gap: .5rem;
 padding-block: .5rem;
 color: var(--color-brunata-blue);
}

nav.breadcrumbs a:hover {
    text-decoration: underline;
}

.single-post {
  block-size: 100%; 
  border-inline: 1px solid grey;
  padding: 5rem;
  background: white;
}

.post-date {
  text-align: center;
  margin-block-end: 2.5rem;
}

.single-post h2 {
  text-align: center;
  font-size: 2rem;
}

.single-post img {
  border-radius: 5px;
  margin-block-start: 2.5rem;
}

.pagination {
    display: flex;
    justify-content: center;
    gap: .5rem;
    margin-block: 2rem;
}

.pagination a,
.pagination span {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    min-inline-size: 40px;
    block-size: 40px;

    border: 1px solid #ddd;
    border-radius: 5px;
    background: white;

    text-decoration: none;
}

.pagination .current {
    background: #eee;
}

@media screen and (width < 910px) {
  .hero-img.good-to-know-img {
    block-size: 100px;
  }

  .layout-blog {
    grid-template-columns: 1fr;
  }

  .layout-blog {
      grid-template-columns: 1fr;
      gap: 1rem;
  }

  .posts-column,
  .sidebar-archive {
      grid-column: auto;
  }

    /* ARCHIVE FIRST */
  .sidebar-archive {
      order: -1;
      position: static;
      min-block-size: auto;
      padding: 0;
  }

  /* COLLAPSIBLE ARCHIVE */
  .sidebar-archive h3 {
      margin: 0;
      padding: 1rem;
      background: white;
      cursor: pointer;
      border: 1px solid #ddd;
      border-bottom: none;
      border-radius: 6px;
      position: relative;
  }

  .sidebar-archive h3::after {
      content: "Rozwiń";
      position: absolute;
      inset-inline-end: 1rem;
      cursor: pointer;
      color: var(--color-blue);
      
  }

  .sidebar-archive ul {
      max-height: 0;
      overflow: hidden;
      margin: 0;
      padding: 0;
      background: white;
      border: 1px solid #ddd;
      border-block-start: none;
      border-radius: 0 0 6px 6px;

      transition: 
        max-height 0.35s ease,
        padding 0.35s ease;
  }

  ul.no-border {
    border: none;
  }

  .sidebar-archive.active ul {
       max-height: 600px;
       padding: 1rem;
  }

  .sidebar-archive.active h3 {
     border-bottom: 1px solid #ddd;
  }

  .sidebar-archive.active h3::after {
      content: "Zwiń";
      cursor: pointer;
      color: var(--color-logo-red2);
  }

  .pagination {
    flex-direction: row;
  }
}

@media screen and (width < 980px) {
   nav.breadcrumbs {
    flex-direction: row;
  }

  .single-post {
    padding: 1rem;
  }
}